Bug 130431 - mkinitrd-4.1.1 hangs system
Summary: mkinitrd-4.1.1 hangs system
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Peter Jones
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-20 14:59 UTC by Sammy
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: 7.65-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-05 00:31:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
system log messages (47.88 KB, text/plain)
2004-08-20 15:41 UTC, Sammy
no flags Details
/etc/udev/udev.conf file (2.13 KB, text/plain)
2004-08-20 15:42 UTC, Sammy
no flags Details

Description Sammy 2004-08-20 14:59:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux; X11; en_US, en_US.UTF-8, en) (KHTML, like Gecko)

Description of problem:
After installing mkinitrd and making a new image I restarted the system,
which resulted in a blank screen:

1. initrd image was twice the size of the original
2. devices like /dev/null (/dev/input/mice etc.) were missing.

It seems to me like we need a /etc/sysconfig/udev file which defines
the stuff for udev usage. If this does not exist (which currently does not)
then udev should not be used.
FYI

Version-Release number of selected component (if applicable):
mkinitrd-4.1.1

How reproducible:
Always

Steps to Reproduce:
1.install mkinitrd-4.1..1
2.rebuild image
3.reboot
    

Additional info:

Comment 1 Jeremy Katz 2004-08-20 15:12:40 UTC
All of the udev stuff is defined in /etc/udev/udev.conf -- having
duplication of this and /etc/sysconfig/udev was fairly annoying.

What are the contents of your /etc/udev/udev.conf?  Also, if you
remove quiet and/or rhgb from your command line arguments, do you get
a better idea of where it fails?

Comment 2 Sammy 2004-08-20 15:39:02 UTC
Hmmm.... the new initscripts (64-1) looks for /etc/sysconfig/udev for 
checking to start udev! But udev is started without this anyway. 
 
I have not altered the /etc/udev/udev.conf file.  I am attaching my 
udev.conf file. 
 
I am also attaching the part of system log file for the failing boot that 
shows bunch of error messages related to udev. 

Comment 3 Sammy 2004-08-20 15:41:34 UTC
Created attachment 102923 [details]
system log messages

Comment 4 Sammy 2004-08-20 15:42:48 UTC
Created attachment 102924 [details]
/etc/udev/udev.conf file

Comment 5 Jeremy Katz 2004-08-20 16:03:21 UTC
initscripts wasn't looking at the right file to know what to do about
udev.  Should be happier with initscripts-7.65-1


Note You need to log in before you can comment on or make changes to this bug.